Skip to main content
POST
[One Click Apps] Deploy a custom application from a repository or an image

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

instance_id
string
required

Unique identifier of the compute instance.

organization_id
string
required

Unique identifier of the organization that owns the resource.

project_id
string
required

Unique identifier of the project containing the resource.

Body

application/json
source
any
required

Application source (git or image), validated by the API

name
string
Maximum string length: 100
Pattern: ^[-a-zA-Z0-9_]+$
custom_domain
string | null
Maximum string length: 253
envs
object[]

Initial environment variables, pushed before the first build

Maximum array length: 200

Response

task_id
string<uuid>
required
read-only
app_id
string<uuid>
required
read-only